import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://raw.githubusercontent.com/wenxi77/AirlineArrival/siyuanding/usmap.csv';

const row = d => {
  d.latitude = +d.latitude;
  d.longitude = +d.longitude;
  d.AQI = +d.value;
  //d.dateCollected = new Date(d.dateCollected);
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl).then(setData)
  }, []);
    
  return data;
};